del *.gss
del *.gst
del *.log
del *.min
del *.mnc
del *.inf
del *.bak
del diffs?.har

rem Solve RAS problem in input file sparse.har
rem  using 4 different techniques.

del rasfunc.har
tablo -pgs rasfunc
if errorlevel 1 goto error
gemsim -cmf rasfunc.cmf
if errorlevel 1 goto error

del rasbasic.har
tablo -pgs rasbasic
if errorlevel 1 goto error
gemsim -cmf rasbasic.cmf
if errorlevel 1 goto error

del rasiter.har
tablo -pgs rasiter
if errorlevel 1 goto error
gemsim -cmf rasiter.cmf
if errorlevel 1 goto error

del raslin.har 
tablo -pgs raslin
if errorlevel 1 goto error
gemsim -cmf raslin.cmf
if errorlevel 1 goto error

rem Use DIFFHAR to compare solutions (as % difference from RASFUNC)
diffhar rasfunc.har rasbasic.har diffs1.har D
diffhar rasfunc.har rasiter.har diffs2.har D
diffhar rasfunc.har raslin.har diffs3.har D


echo ###### JOB RAN OK  #####
dir/od *.har


goto endbat

:error
echo ###### ERROR: BATCH JOB FAILED #####
echo Check log file; most recent is listed last
dir/od *.log
:endbat
